program communities_synchronization
implicit none
integer(kind=4)			:: i, num_communities, part, community, counter_realization
real(kind=8)			:: param_chem_coupling, param_elec_coupling, Ic, rlink, order_parameter_r_full_network, max_LE_final
real(kind=8),allocatable	:: order_parameter_r_communities(:)
character(1)			:: char_part, char_community
character(4)			:: char_counter_realization
character(26)			:: char_param_chem_coupling, char_param_elec_coupling

num_communities=6

allocate(order_parameter_r_communities(num_communities))
order_parameter_r_communities=0.d0

do part=1,4
	write(char_part,'(i1)') part
	do community=1,num_communities
		write(char_community,'(i1)') community
		call system('mkdir -p ../part'//char_part//'/communities_synchronization/community'//char_community)
	enddo
	
	open(1,file='../part'//char_part//'/ec_vs_cc_scanning_nnev12 277_part'//char_part//'.dat',status='old')
	do while (.not.eof(1))
		read(1,*) param_chem_coupling,param_elec_coupling,Ic,rlink,order_parameter_r_full_network,max_LE_final,counter_realization
		write(char_param_chem_coupling,'(f26.16)') param_chem_coupling
		write(char_param_elec_coupling,'(f26.16)') param_elec_coupling
		write(char_counter_realization,'(i4)') counter_realization
		open(2,file='../part'//char_part//'/cc='//char_param_chem_coupling//'_ec='//char_param_elec_coupling//'/'//char_counter_realization//'rn/S_global_S_clusters_final_time_nnev12n 277.dat',status='old')
		read(2,*) order_parameter_r_full_network,(order_parameter_r_communities(i),i=1,num_communities)
		close(2)
		do community=1,num_communities
			write(char_community,'(i1)') community
			open(3,file='../part'//char_part//'/communities_synchronization/community'//char_community//'/ec_vs_cc_scanning_nnev12 277_community'//char_community//'.dat.'//char_counter_realization,status='replace')
			write(3,'(3f26.16)') param_chem_coupling,param_elec_coupling,order_parameter_r_communities(community)
			close(3)
		enddo
		close(2)
	enddo
	close(1)
enddo

deallocate(order_parameter_r_communities)

end program communities_synchronization
