filename='c-elegans_277'


set output 'adjacency_matrix_'.filename.'.eps'
set term postscript eps color enhanced font ",17"
set size 0.6,0.6
#set pm3d map interpolate 0,0
set size square
unset key
set border linewidth 0
set title ('Adjacency matrix (structural connections)')

set cbtics 0.5
set cbrange [0:1]

stats filename.'.dat'

rows=STATS_records

#show variables all

columns=rows

set xrange[0: 100*ceil(STATS_records/100.0)]
x_lim = 100*ceil(STATS_records/100.0)
set xrange[0: x_lim]
set xtics x_lim/4.0

set yrange[0: 100*ceil(STATS_records/100.0)]
y_lim = 100*ceil(STATS_records/100.0)
set yrange[0: y_lim]
set ytics y_lim/4.0

#set xlabel "Neuron"
#set ylabel "Neuron" rotate by 0 left
#splot [0:rows-1][columns-1:0] ''.filename.'' matrix
plot [-0.5:rows-0.5][columns-0.5:-0.5] filename.'.dat' matrix with image
