filename='c-elegans_277'


set output 'PDF_degree_'.filename.'.eps'
set term postscript eps color enhanced font ",17"

set size 0.6,0.6

set style line 1 lt 7 lw 4 linecolor rgb "black"
set style line 2 lt 5 lw 4 linecolor rgb "grey"
set style line 3 lt 1 lw 4 linecolor rgb "black"

set label 1 "a)" at graph 0.92, 0.93

set xtics add ("0" 0)

set xlabel 'k_i'
set ylabel 'PDF(k_i)'

plot [0:][0:] 'PDF_degree_'.filename.'.txt' u 1:2 ls 3 w l notitle
